Name:           LinLog
Version:        0.4
Release:        6%{?dist}
Summary:        A ham radio logbook for Linux

Group:          Applications/Communications
License:        GPLv2
URL:            http://linlogbook.sourceforge.net/
Source0:        http://downloads.sourceforge.net/linlogbook/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel >= 4.3, sqlite-devel >= 3, desktop-file-utils, libstdc++-devel
#Requires:       

%description
LinLogBook is a highly configurable amateur radio logbook for Linux.

It uses an sql- database to store its data. For the ease of use sqlite 3 is
used but it should be possible to use other databases like mysql, for instance.

%prep
%setup -q -n %{name}


%build
qmake-qt4 -unix -o Makefile linlog.pro
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -p -d $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 bin/linlog $RPM_BUILD_ROOT%{_bindir}/linlog

# no upstream .desktop or icon yet
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 BaseTables.sql $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 Example.sql $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 Statistics.sql $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING LinLogDoc.pdf README 
%{_bindir}/linlog
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/%{name}/*.sql

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 2 2011 Randall J. Berry <dp67@fedoraproject.org> - 0.4-5
- Rebuild for broken deps

* Thu Nov 26 2009 Lucian Langa <cooly@gnome.eu.org> - 0.4-4
- improve desktop icon (#530836)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Sindre Pedersen Bjordal <sindrepb@fedoraproject.org> - 0.4-1
- New upstream release

* Mon Sep 22 2008 Lucian Langa <cooly@gnome.eu.org> - 0.3.1-1
- new upstream 0.3.1
- add missing sql files
- fixed rpm macros
- fix build requires
- fix desktop file

* Sat Feb 25 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.3-4
- Correct Lic. per Review

* Sat Feb 25 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.3-3
- Submit for Review

* Sat Feb 25 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.3-2
- Add .desktop file and icon

* Sat Feb 16 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.3-1
- Version Update
- Submit for review

* Mon Jan 07 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.2-1
- Version Update

* Thu Dec 06 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.1.2-2
- rpmlint clean up

* Thu Dec 06 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.1.2-1
- Initial SPEC
